package org.jboss.labs;

import javax.annotation.Resource;
import javax.ejb.ActivationConfigProperty;
import javax.ejb.EJB;
import javax.ejb.MessageDriven;
import javax.inject.Inject;
import javax.jms.Destination;
import javax.jms.JMSContext;
import javax.jms.JMSException;
import javax.jms.JMSProducer;
import javax.jms.Message;
import javax.jms.MessageListener;
import javax.jms.Queue;

/**
 * Message-Driven Bean implementation class for: JmscTestMDB
 */
@MessageDriven(
		activationConfig = { @ActivationConfigProperty(
				propertyName = "destination", propertyValue = "queue/A"), @ActivationConfigProperty(
				propertyName = "destinationType", propertyValue = "javax.jms.Queue")
		}, 
		mappedName = "queue/A")
public class JmscTestMDB implements MessageListener {

//	@Inject
//	private JMSContext jmsContext;
//
//						    
//	@Resource(mappedName = "java:/queue/B")
//	private Queue queue;
	
	@EJB(name="MessageSenderSLSB")
	private MessageSenderSLSB messageSenderSLSB;
	
	
	public JmscTestMDB() {
        // TODO Auto-generated constructor stub
    }
	
	/**
     * @see MessageListener#onMessage(Message)
     */
    public void onMessage(Message message) {
    	try {
			messageSenderSLSB.sendMessage(message.getBody(String.class));
		} catch (JMSException e) {
			e.printStackTrace();
		}
    }

}
